Đến nội dung


Hình ảnh

chỉnh sửa bản vẽ cad


  • Please log in to reply
5 replies to this topic

#1 xuxaxy

xuxaxy

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 November 2008 - 12:01 AM

em là sv , kì này dag ket đồ án, em muốn hỏi các bác pro cad cách chỉnh sửa đối tuợng trong bản vẽ cad, vd như phóng to 1 đối tượng theo phưong ngag hoac phương dọc... dung lệnh scale thi no phong theo ca 2 phuong luôn
  • 0

#2 unnamed_kt

unnamed_kt

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 26 November 2008 - 02:04 AM

em là sv , kì này dag ket đồ án, em muốn hỏi các bác pro cad cách chỉnh sửa đối tuợng trong bản vẽ cad, vd như phóng to 1 đối tượng theo phưong ngag hoac phương dọc... dung lệnh scale thi no phong theo ca 2 phuong luôn

Theo em thì có dùng lệch stretch, rồi kéo theo phương mà bác muốn edit
  • 0

#3 thachsanh1

thachsanh1

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 26 November 2008 - 05:51 AM

em là sv , kì này dag ket đồ án, em muốn hỏi các bác pro cad cách chỉnh sửa đối tuợng trong bản vẽ cad, vd như phóng to 1 đối tượng theo phưong ngag hoac phương dọc... dung lệnh scale thi no phong theo ca 2 phuong luôn

Bạn thử block nó lại rùi dùng lệnh insert để scale theo phương bạn muốn,mình toàn dùng cách vậy
  • 0
^Vì Acad là vô tận^

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 26 November 2008 - 06:02 AM

em là sv , kì này dag ket đồ án, em muốn hỏi các bác pro cad cách chỉnh sửa đối tuợng trong bản vẽ cad, vd như phóng to 1 đối tượng theo phưong ngag hoac phương dọc... dung lệnh scale thi no phong theo ca 2 phuong luôn

Bạn sử dụng lệnh Xsc : scale một chiều nhé
Đây là code
;XSCALE Scale the mot chieu lenhtat :XSC
(DEFUN EXCUTE()
(setq oldvalue (getvar "CMDECHO"))
(setvar "CMDECHO" 0)
(princ "Chon doi tuong can scale: ")
(setq ss (ssget))
(setq P0 (getpoint "\nChon diem goc: "))
(initget 1 "X Y X S")
(setq C (getkword "\nScale theo [X,Y,Z,Scale]? :"))
(setq hs (getreal "Cho biet he so scale: "))
(DELBLOCK "vkc_temp")
(CREATEBLOCK ss P0)
(Command "-Insert" "vkc_temp" C hs P0 "")
(setq dt (entlast))
(Command "Explode" dt)
(setvar "CMDECHO" oldvalue)
(princ)
)
(DEFUN CREATEBLOCK(ss P)
(command "-Block" "vkc_temp" P ss "")
)

(DEFUN DELBLOCK (bname)
(if (IsExistBlock bname)
(Command "-Purge" "B" bname "Y" "Y")
)
)
(DEFUN IsExistBlock(bname / kq)
(setq kq Nil)
(setq n (length LiBlk))
(setq i 0)
(while (< i n)
(if (= bname (nth i LiBlk))
(progn
(setq i n)
(setq kq T)
)
)
(setq i (1+ i))
)
kq
)
(DEFUN CREALIBLK (/ NL)
(setq LiBlk (List))
(setq NL (tblnext "BLOCK" T))
(while NL
(setq LiBlk (append LiBlk (list (cdr (assoc 2 NL)))))
(setq NL (tblnext "BLOCK"))
)
(setq LiBlk (Acad_strlsort LiBlk))
)
(DEFUN C:XSCALE()
(CREALIBLK)
(EXCUTE)
)
(DEFUN C:XSC()
(CREALIBLK)
(EXCUTE)
)
Hướng dẫn sử dụng code : bạn xem ở đây : Hướng dẫn sử dụng code
  • 0

#5 xuxaxy

xuxaxy

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 November 2008 - 10:31 AM

cam on cac pro cad, em lam đc rồi, mong se nhận dc nhiều kinh nghiệm từ các bác :leluoi:
  • 0

#6 ngochuankt

ngochuankt

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 December 2008 - 10:51 PM

cam on cac pro cad, em lam đc rồi, mong se nhận dc nhiều kinh nghiệm từ các bác :cheers:

em mới học cad thất mấy bac Prò quá!! đọc tóp pic này có lợi quá!!cảm ơn các bác nhiều!!!!
  • 0